CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

TempXRefPath Property (ActiveX)

2023-1-3 04:37| 发布者: admin| 查看: 1693| 评论: 0|来自: AutoCAD

摘要: 指定外部参照文件的位置。

指定外部参照文件的位置。

支持的平台:仅窗口

签名

工 务 局:

object.TempXRefPath
对象

类型:首选项文件

此属性适用的对象。

属性值

只读:

类型:字符串

要搜索外部引用文件的目录的驱动器和路径。

言论

如果选择在属性上按需加载,则此位置用于外部引用的副本。acEnableWithCopyXRefDemandLoad

例子

工 务 局:

Sub Example_TempXRefPath()
    ' This example returns the current setting of
    ' TempXRefPath. It then changes the value, and finally
    ' it resets the value back to the original setting.
    
    Dim preferences As AcadPreferences
    Dim currTempXRefPath As String
    Dim newTempXRefPath As String
    
    Set preferences = ThisDrawing.Application.preferences
    
    ' Retrieve the current TempXRefPath value
    currTempXRefPath = preferences.Files.TempXrefPath
    MsgBox "The current value for TempXRefPath is " & currTempXRefPath, vbInformation, "TempXRefPath Example"
    
    ' Change the value for TempXRefPath
    newTempXRefPath = "TestTempXRefPath"
    preferences.Files.TempXrefPath = newTempXRefPath
    MsgBox "The new value for TempXRefPath is " & newTempXRefPath, vbInformation, "TempXRefPath Example"
    
    ' Reset TempXRefPath to its original value
    preferences.Files.TempXrefPath = currTempXRefPath
    MsgBox "The TempXRefPath value is reset to " & currTempXRefPath, vbInformation, "TempXRefPath Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_TempXRefPath()
    ;; This example returns the current setting of
    ;; TempXRefPath. It then changes the value, and finally
    ;; it resets the value back to the original setting.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Retrieve the current TempXRefPath value
    (setq currTempXRefPath (vla-get-TempXrefPath (vla-get-Files preferences)))
    (alert (strcat "The current value for TempXRefPath is " currTempXRefPath))
    
    ;; Change the value for TempXRefPath
    (setq newTempXRefPath "TestTempXRefPath")
    (vla-put-TempXrefPath (vla-get-Files preferences) newTempXRefPath)
    (alert (strcat "The new value for TempXRefPath is " newTempXRefPath))
    
    ;; Reset TempXRefPath to its original value
    (vla-put-TempXrefPath (vla-get-Files preferences) currTempXRefPath)
    (alert (strcat "The TempXRefPath value is reset to " currTempXRefPath))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 03:52

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部